POSTGet Account Stats

Data APIhttps://web3.nodit.io/v1/ethereum/mainnet/stats/getAccountStats

Retrieves statistics for a specific address. Account activity can be analyzed through transaction data, transfer events, assets, and other information for the account.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Request Body
addressstringrequired

Parameter specifying the address to query. Can be entered as a 40-character hexadecimal string starting with 0x.

Responses
externalnumberrequired

The number of external transactions where the queried address is included in the from or to field.

internalnumberrequired

The number of internal transactions where the queried address is included in the from or to field.

tokensnumberrequired

The number of ERC20 token transfer events where the queried address is included in the from or to field.

nftsnumberrequired

The number of NFT (ERC721, ERC1155) transfer events where the queried address is included in the from or to field.

tokensnumberrequired

The number of ERC20 token types held by the queried address.

nftsnumberrequired

The number of NFTs (ERC721, ERC1155) held by the queried address.

nftContractsnumberrequired

The number of NFT contract types (ERC721, ERC1155) owned by the queried address.

X-API-KEY
RequestCU150
cURL
curl -X POST "https://web3.nodit.io/v1/ethereum/mainnet/stats/getAccountStats" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
}'
Response
Example · 200
{
  "transactionCounts": {
    "external": 0,
    "internal": 0
  },
  "transferCounts": {
    "tokens": 0,
    "nfts": 0
  },
  "assets": {
    "tokens": 0,
    "nfts": 0,
    "nftContracts": 0
  }
}